Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config
Interface ContainerProvider

All Known Subinterfaces:
  BeanSelectionProvider, ConfigurationProvider

All Known Implementing Classes:
  FileManagerFactoryProvider, FileManagerProvider, StubConfigurationProvider, XmlConfigurationProvider, XWorkConfigurationProvider

    public interface ContainerProvider

Provides beans and constants/properties for the Container

Since:
  2.1

Method Summary
`void` | `destroy()` Called before removed from the configuration manager
`void` | `init(Configuration configuration)` Initializes with the configuration
`boolean` | `needsReload()` Tells whether the ContainerProvider should reload its configuration
`void` | `register(ContainerBuilder builder, LocatableProperties props)` Registers beans and properties for the Container

Method Detail

### destroy

    void destroy()

  Called before removed from the configuration manager

### init

    void init(Configuration configuration)
              throws ConfigurationException

  Initializes with the configuration

  Parameters:
    `configuration` - The configuration
  Throws:
    `ConfigurationException` - If anything goes wrong

### needsReload

    boolean needsReload()

  Tells whether the ContainerProvider should reload its configuration

  Returns:
    `true`, whether the ContainerProvider should reload its configuration, `false`otherwise.

### register

    void register(ContainerBuilder builder,
                  LocatableProperties props)
                  throws ConfigurationException

  Registers beans and properties for the Container

  Parameters:
    `builder` - The builder to register beans with
    `props` - The properties to register constants with
  Throws:
    `ConfigurationException` - If anything goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.